Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.heuristic.selector.common.nearby
Class BlockDistributionNearbyRandom

    java.lang.Object
      org.optaplanner.core.impl.heuristic.selector.common.nearby.BlockDistributionNearbyRandom

All Implemented Interfaces:
  NearbyRandom

    public class BlockDistributionNearbyRandom

extends Object
implements NearbyRandom

Field Summary
`protected int` | `sizeMaximum`
`protected int` | `sizeMinimum`
`protected double` | `sizeRatio`
`protected double` | `uniformDistributionProbability`

Constructor Summary
`BlockDistributionNearbyRandom(int sizeMinimum, int sizeMaximum, double sizeRatio, double uniformDistributionProbability)`

Method Summary
`int` | `nextInt(Random random, int n)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sizeMinimum

    protected final int sizeMinimum

### sizeMaximum

    protected final int sizeMaximum

### sizeRatio

    protected final double sizeRatio

### uniformDistributionProbability

    protected final double uniformDistributionProbability

Constructor Detail

### BlockDistributionNearbyRandom

    public BlockDistributionNearbyRandom(int sizeMinimum,
                                         int sizeMaximum,
                                         double sizeRatio,
                                         double uniformDistributionProbability)

Method Detail

### nextInt

    public int nextInt(Random random,
                       int n)

  Specified by:
    `nextInt` in interface `NearbyRandom`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.